MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0027041Open CASCADE[OCCT] OCCT:Configurationpublic2015-12-26 18:562017-12-21 18:21
Reporterabv 
Assigned Toabv 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 7.0.0 
Target Version[OCCT] 7.0.0Fixed in Version[OCCT] 7.0.0 
Summary0027041: CMake - CLang 3.6.2 fails to link DRAWEXE on Ubuntu 15.10
DescriptionWhen I build OCCT with CMake 3.2.2 and CLang 3.6.2 on Ubuntu 15.10, it fails to link DRAWEXE due to the following error:

/usr/bin/ld: CMakeFiles/DRAWEXE.dir/DRAWEXE.cxx.o: undefined reference to symbol '_ZNSt8ios_base4InitD1Ev@@GLIBCXX_3.4'
/usr/lib/x86_64-linux-gnu/libstdc++.so.6: error adding symbols: DSO missing from command line

It looks that option -lstdc++ is missing from the linker command line
Steps To Reproducebuild occt on Ubuntu 15.10
TagsNo tags attached.
Test case number
Attached Files

- Relationships
related to 0029398closedbugmaster Configuration - list lex and yacc files in the StepFile/FILES to avoid CMake warnings 

-  Notes
(0049614)
git (administrator)
2015-12-26 18:58

Branch CR27041 has been created by abv.

SHA-1: d573adcf38d586fba68cde1a041ea9a3dd2c261f


No new revisions were added by this update.
(0049615)
git (administrator)
2015-12-26 18:59

Branch CR27041 has been updated by abv.

SHA-1: 83c520fd4bcbdc5458dbbe88bf457250934caaa6


Detailed log of new commits:

Author: abv
Date: Sat Dec 26 18:59:36 2015 +0300

    0027041: CMake - CLang 3.6.2 fails to link DRAWEXE on Ubuntu 15.10\n\nstdc++ added to CSF_ThreadLibs in CMake configurator

(0049616)
git (administrator)
2015-12-26 20:42

Branch CR27041 has been updated forcibly by abv.

SHA-1: fd7245ef38cc70cc0e4933318fe433f1fd1b7441
(0049653)
ibs (developer)
2015-12-28 18:00

dear bugmaster,

src/StepFile/FILES extended with step.lex and step.yacc files. If there will be any error during building procedure (as was before) - revert src/StepFile/FILES
(0052965)
git (administrator)
2016-04-17 13:46

Branch CR27041 has been deleted by kgv.

SHA-1: fd7245ef38cc70cc0e4933318fe433f1fd1b7441

- Related Changesets
occt: master 13c7b7a3
Timestamp: 2015-12-26 15:59:36
Author: abv
Committer: abv
Details ] Diff ]
0027041: CMake - CLang 3.6.2 fails to link DRAWEXE on Ubuntu 15.10

"stdc++" is added to CSF_ThreadLibs in CMake script to make DRAWEXE built well.

In addition, TKVCAF added in CMake script for OCAF MFC sample, and Yacc and Lex files added in src/StepFile/FILES to make it consistent with actual contents of the package.
mod - adm/cmake/occt_csf.cmake Diff ] File ]
mod - samples/mfc/standard/06_Ocaf/CMakeLists.txt Diff ] File ]
mod - src/StepFile/FILES Diff ] File ]

- Issue History
Date Modified Username Field Change
2015-12-26 18:56 abv New Issue
2015-12-26 18:56 abv Assigned To => bugmaster
2015-12-26 18:58 git Note Added: 0049614
2015-12-26 18:59 git Note Added: 0049615
2015-12-26 20:42 git Note Added: 0049616
2015-12-28 17:55 ibs Assigned To bugmaster => ibs
2015-12-28 17:55 ibs Status new => resolved
2015-12-28 17:55 ibs Steps to Reproduce Updated View Revisions
2015-12-28 18:00 ibs Note Added: 0049653
2015-12-28 18:00 ibs Assigned To ibs => bugmaster
2015-12-28 18:00 ibs Status resolved => reviewed
2016-01-15 16:57 abv Changeset attached => occt master 13c7b7a3
2016-01-15 16:57 abv Assigned To bugmaster => abv
2016-01-15 16:57 abv Status reviewed => verified
2016-01-15 16:57 abv Resolution open => fixed
2016-04-17 13:46 git Note Added: 0052965
2016-04-20 15:43 aiv Fixed in Version => 7.0.0
2016-04-20 15:50 aiv Status verified => closed
2017-12-21 18:21 abv Relationship added related to 0029398


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker